net.minecraftforge.client.model.obj

## Class WavefrontObject

- java.lang.Object
- - net.minecraftforge.client.model.obj.WavefrontObject

- All Implemented Interfaces:
    IModelCustom

      public class WavefrontObject
      extends java.lang.Object
      implements IModelCustom

  Wavefront Object importer Based heavily off of the specifications found at http://en.wikipedia.org/wiki/Wavefront_.obj_file

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<GroupObject>` | `groupObjects`
    `java.util.ArrayList<TextureCoordinate>` | `textureCoordinates`
    `java.util.ArrayList<Vertex>` | `vertexNormals`
    `java.util.ArrayList<Vertex>` | `vertices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WavefrontObject(ResourceLocation resource)`
    `WavefrontObject(java.lang.String filename, java.io.InputStream inputStream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getType()`
    `void` | `renderAll()`
    `void` | `renderAllExcept(java.lang.String... excludedGroupNames)`
    `void` | `renderOnly(java.lang.String... groupNames)`
    `void` | `renderPart(java.lang.String partName)`
    `void` | `tessellateAll(Tessellator tessellator)`
    `void` | `tessellateAllExcept(Tessellator tessellator, java.lang.String... excludedGroupNames)`
    `void` | `tessellateOnly(Tessellator tessellator, java.lang.String... groupNames)`
    `void` | `tessellatePart(Tessellator tessellator, java.lang.String partName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertices

          public java.util.ArrayList<Vertex> vertices

    - #### vertexNormals

          public java.util.ArrayList<Vertex> vertexNormals

    - #### textureCoordinates

          public java.util.ArrayList<TextureCoordinate> textureCoordinates

    - #### groupObjects

          public java.util.ArrayList<GroupObject> groupObjects

  - ### Constructor Detail

    - #### WavefrontObject

          public WavefrontObject(ResourceLocation resource)
                          throws ModelFormatException

      Throws:
        `ModelFormatException`

    - #### WavefrontObject

          public WavefrontObject(java.lang.String filename,
                         java.io.InputStream inputStream)
                          throws ModelFormatException

      Throws:
        `ModelFormatException`

  - ### Method Detail

    - #### renderAll

          public void renderAll()

      Specified by:
        `renderAll` in interface `IModelCustom`

    - #### tessellateAll

          public void tessellateAll(Tessellator tessellator)

    - #### renderOnly

          public void renderOnly(java.lang.String... groupNames)

      Specified by:
        `renderOnly` in interface `IModelCustom`

    - #### tessellateOnly

          public void tessellateOnly(Tessellator tessellator,
                            java.lang.String... groupNames)

    - #### renderPart

          public void renderPart(java.lang.String partName)

      Specified by:
        `renderPart` in interface `IModelCustom`

    - #### tessellatePart

          public void tessellatePart(Tessellator tessellator,
                            java.lang.String partName)

    - #### renderAllExcept

          public void renderAllExcept(java.lang.String... excludedGroupNames)

      Specified by:
        `renderAllExcept` in interface `IModelCustom`

    - #### tessellateAllExcept

          public void tessellateAllExcept(Tessellator tessellator,
                                 java.lang.String... excludedGroupNames)

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in interface `IModelCustom`